Fedora Linux Support Community & Resources Center
  #1  
Old 9th March 2011, 02:14 PM
peoklin Offline
Registered User
 
Join Date: Oct 2010
Location: Shanghai,China
Posts: 92
linuxfedorafirefox
problem of installation gnome-desktop3-2.91.91-1.fc15.x86_64

when I install gnome-desktop3-2.91.91-1.fc15.x86_64.rpm with yum install command
my system is 2.6.38-0.rc6.git6.1.fc15.x86_64, any help is appreciated.
Quote:
Examining gnome-desktop3-2.91.91-1.fc15.x86_64.rpm: gnome-desktop3-2.91.91-1.fc15.x86_64
Marking gnome-desktop3-2.91.91-1.fc15.x86_64.rpm as an update to gnome-desktop3-2.90.4-3.fc14.x86_64
Resolving Dependencies
--> Running transaction check
--> Processing Dependency: gnome-desktop3 = 2.90.4-3.fc14 for package: gnome-desktop3-devel-2.90.4-3.fc14.x86_64
---> Package gnome-desktop3.x86_64 0:2.91.91-1.fc15 set to be updated
--> Processing Dependency: libcairo-gobject.so.2()(64bit) for package: gnome-desktop3-2.91.91-1.fc15.x86_64
--> Processing Dependency: libgdk-3.so.0()(64bit) for package: gnome-desktop3-2.91.91-1.fc15.x86_64
--> Processing Dependency: libgtk-3.so.0()(64bit) for package: gnome-desktop3-2.91.91-1.fc15.x86_64
--> Running transaction check
---> Package cairo-gobject.x86_64 0:1.10.2-1.fc14 set to be installed
---> Package gnome-desktop3.i686 0:2.90.4-3.fc14 set to be installed
---> Package gnome-desktop3.x86_64 0:2.91.91-1.fc15 set to be updated
--> Processing Dependency: libgdk-3.so.0()(64bit) for package: gnome-desktop3-2.91.91-1.fc15.x86_64
--> Processing Dependency: libgtk-3.so.0()(64bit) for package: gnome-desktop3-2.91.91-1.fc15.x86_64
--> Finished Dependency Resolution
Error: Package: gnome-desktop3-2.91.91-1.fc15.x86_64 (/gnome-desktop3-2.91.91-1.fc15.x86_64)
Requires: libgtk-3.so.0()(64bit)
Error: Package: gnome-desktop3-2.91.91-1.fc15.x86_64 (/gnome-desktop3-2.91.91-1.fc15.x86_64)
Requires: libgdk-3.so.0()(64bit)
You could try using --skip-broken to work around the problem
** Found 6 pre-existing rpmdb problem(s), 'yum check' output follows:
audit-libs-2.0.6-1.fc14.x86_64 is a duplicate with audit-libs-2.0.4-4.fc14.i686
cairo-1.10.2-1.fc14.x86_64 is a duplicate with cairo-1.10.0-2.fc14.1.i686
flash-plugin-10.2-1.x86_64 is a duplicate with flash-plugin-10.1.102.64-release.i386
krb5-libs-1.8.2-8.fc14.x86_64 is a duplicate with krb5-libs-1.8.2-7.fc14.i686
libtiff-3.9.4-3.fc14.x86_64 is a duplicate with libtiff-3.9.4-1.fc14.i686
libxml2-2.7.7-3.fc14.x86_64 is a duplicate with libxml2-2.7.7-2.fc14.i686
  #2  
Old 9th March 2011, 02:35 PM
kurtdriver Offline
Registered User
 
Join Date: Jul 2005
Location: 49º 15' 27.25" N 123º 8' 54.59" W
Posts: 1,545
linuxfedorafirefox
Re: problem of installation gnome-desktop3-2.91.91-1.fc15.x86_64

I had a similar problem with gnome-desktop yesterday. Just wait a few days and it will be fixed. In the meantime, do your updates with
Code:
 
su =c "yum -x gnome-desktop3 update"
In a few days the version of libgdk-3 that the newer version of Gnome-desktop3 requires ought to be in the repos.
  #3  
Old 9th March 2011, 03:21 PM
leigh123linux
Guest
 
Posts: n/a
linuxredhatfirefox
Re: problem of installation gnome-desktop3-2.91.91-1.fc15.x86_64

Moved to F15 Development
  #4  
Old 9th March 2011, 03:22 PM
peoklin Offline
Registered User
 
Join Date: Oct 2010
Location: Shanghai,China
Posts: 92
linuxfedorafirefox
Re: problem of installation gnome-desktop3-2.91.91-1.fc15.x86_64

Quote:
Error: Package: rpmfusion-nonfree-release-15-0.1.noarch (rpmfusion-nonfree-rawhide)
Requires: system-release >= 15
Installed: fedora-release-14-1.noarch (@fedora/$releasever)
system-release = 14-1
Available: generic-release-14-0.2.noarch (fedora)
system-release = 14-0.2
Available: generic-release-14-1.noarch (updates)
system-release = 14-1
Error: Package: gstreamer-plugins-bad-0.10.21-2.fc15.x86_64 (rpmfusion-free-rawhide)
Requires: gstreamer-plugins-bad-free >= 0.10.21
Installed: gstreamer-plugins-bad-free-0.10.20-3.fc14.1.x86_64 (@updates)
gstreamer-plugins-bad-free = 0.10.20-3.fc14.1
Available: gstreamer-plugins-bad-free-0.10.20-3.fc14.i686 (fedora)
gstreamer-plugins-bad-free = 0.10.20-3.fc14
Error: Package: rpmfusion-free-release-15-0.1.noarch (rpmfusion-free-rawhide)
Requires: system-release >= 15
Installed: fedora-release-14-1.noarch (@fedora/$releasever)
system-release = 14-1
Available: generic-release-14-0.2.noarch (fedora)
system-release = 14-0.2
Available: generic-release-14-1.noarch (updates)
system-release = 14-1
Error: Package: libquicktime-1.2.2-1.fc15.x86_64 (rpmfusion-free-rawhide)
Requires: libjpeg.so.62(LIBJPEG_6.2)(64bit)
You could try using --skip-broken to work around the problem
** Found 6 pre-existing rpmdb problem(s), 'yum check' output follows:
audit-libs-2.0.6-1.fc14.x86_64 is a duplicate with audit-libs-2.0.4-4.fc14.i686
cairo-1.10.2-1.fc14.x86_64 is a duplicate with cairo-1.10.0-2.fc14.1.i686
flash-plugin-10.2-1.x86_64 is a duplicate with flash-plugin-10.1.102.64-release.i386
krb5-libs-1.8.2-8.fc14.x86_64 is a duplicate with krb5-libs-1.8.2-7.fc14.i686
libtiff-3.9.4-3.fc14.x86_64 is a duplicate with libtiff-3.9.4-1.fc14.i686
libxml2-2.7.7-3.fc14.x86_64 is a duplicate with libxml2-2.7.7-2.fc14.i686
Quote:
[David@localhost ~]$ uname -r
2.6.38-0.rc6.git6.1.fc15.x86_64
why have these problem?
  #5  
Old 11th March 2011, 11:53 AM
peoklin Offline
Registered User
 
Join Date: Oct 2010
Location: Shanghai,China
Posts: 92
linuxfedorafirefox
Re: problem of installation gnome-desktop3-2.91.91-1.fc15.x86_64

How to install " rpmfusion-free-release-15-0.1.noarch",
My system is F14, Now I update the kernel to F15, but there still have some error like these!why?
Quote:
17:15:05 : YUM: --> Running transaction check

17:15:05 : YUM: ---> Package rpmfusion-free-release.noarch 0:15-0.1 set to be updated

17:15:06 : YUM: --> Processing Dependency: system-release >= 15 for package: rpmfusion-free-release-15-0.1.noarch

17:15:06 : YUM: ---> Package rpmfusion-nonfree-release.noarch 0:15-0.1 set to be updated

17:15:06 : YUM: --> Processing Dependency: system-release >= 15 for package: rpmfusion-nonfree-release-15-0.1.noarch

17:15:12 : YUM: --> Finished Dependency Resolution

17:15:30 : ERROR: Dependency resolving completed with errors
17:15:30 : ERROR: Package: rpmfusion-nonfree-release-15-0.1.noarch (rpmfusion-nonfree-rawhide)
Requires: system-release >= 15
Installed: fedora-release-14-1.noarch (@fedora/$releasever)
system-release = 14-1
Available: generic-release-14-0.2.noarch (fedora)
system-release = 14-0.2
Available: generic-release-14-1.noarch (updates)
system-release = 14-1
17:15:30 : ERROR: Package: rpmfusion-free-release-15-0.1.noarch (rpmfusion-free-rawhide)
Requires: system-release >= 15
Installed: fedora-release-14-1.noarch (@fedora/$releasever)
system-release = 14-1
Available: generic-release-14-0.2.noarch (fedora)
system-release = 14-0.2
Available: generic-release-14-1.noarch (updates)
system-release = 14-1


---------- Post added at 07:53 PM ---------- Previous post was at 05:20 PM ----------

what is the problem?
Quote:
[David@localhost ~]$ gnome-shell --replace
Gtk-Message: Failed to load module "pk-gtk-module": libpk-gtk-module.so: cannot open shared object file: No such file or directory
JS LOG: GNOME Shell started at Fri Mar 11 2011 19:51:21 GMT+0800 (CST)
  #6  
Old 11th March 2011, 02:41 PM
kurtdriver Offline
Registered User
 
Join Date: Jul 2005
Location: 49º 15' 27.25" N 123º 8' 54.59" W
Posts: 1,545
linuxfirefox
Re: problem of installation gnome-desktop3-2.91.91-1.fc15.x86_64

For some reason, it looks as if you have the F14 release installed. You can check with,
Code:
rpm -q fedora-release
If it is the F14 one, you might try,
Code:
su -c "yum update fedora-release"
  #7  
Old 11th March 2011, 11:03 PM
peoklin Offline
Registered User
 
Join Date: Oct 2010
Location: Shanghai,China
Posts: 92
linuxfedorafirefox
Re: problem of installation gnome-desktop3-2.91.91-1.fc15.x86_64

Quote:
[David@localhost ~]$ rpm -q fedora-release
fedora-release-14-1.noarch
[David@localhost ~]$ su -c "yum update fedora-release"
Password:
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Adding en_US to language list
Loading mirror speeds from cached hostfile
* fedora: mirrors.163.com
* fedora-debuginfo: mirrors.163.com
* fedora-source: mirrors.163.com
* rpmfusion-free: mirrors.163.com
* rpmfusion-free-debuginfo: mirrors.163.com
* rpmfusion-free-rawhide: mirrors.163.com
* rpmfusion-free-rawhide-debuginfo: mirrors.163.com
* rpmfusion-free-rawhide-source: mirrors.163.com
* rpmfusion-free-source: mirrors.163.com
* rpmfusion-free-updates: mirrors.163.com
* rpmfusion-free-updates-debuginfo: mirrors.163.com
* rpmfusion-free-updates-source: mirrors.163.com
* rpmfusion-free-updates-testing: mirrors.163.com
* rpmfusion-free-updates-testing-debuginfo: mirrors.163.com
* rpmfusion-free-updates-testing-source: mirrors.163.com
* rpmfusion-nonfree: mirrors.163.com
* rpmfusion-nonfree-debuginfo: mirrors.163.com
* rpmfusion-nonfree-rawhide: mirrors.163.com
* rpmfusion-nonfree-rawhide-debuginfo: mirrors.163.com
* rpmfusion-nonfree-rawhide-source: mirrors.163.com
* rpmfusion-nonfree-source: mirrors.163.com
* rpmfusion-nonfree-updates: mirrors.163.com
* rpmfusion-nonfree-updates-debuginfo: mirrors.163.com
* rpmfusion-nonfree-updates-source: mirrors.163.com
* rpmfusion-nonfree-updates-testing: mirrors.163.com
* rpmfusion-nonfree-updates-testing-debuginfo: mirrors.163.com
* rpmfusion-nonfree-updates-testing-source: mirrors.163.com
* updates: mirrors.ispros.com.bd
* updates-debuginfo: mirrors.ispros.com.bd
* updates-source: mirrors.ispros.com.bd
* updates-testing: mirrors.ispros.com.bd
* updates-testing-debuginfo: mirrors.ispros.com.bd
* updates-testing-source: mirrors.ispros.com.bd
Setting up Update Process
No Packages marked for Update
it is very unthinkable
 

Tags
gnomedesktop911fc15x8664, installation, problem

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Issues with 2.6.38-0.rc6.git4.1.fc15.x86_64 twohot F16 Development 6 5th March 2011 05:41 PM
VirtualBox installation problem on F14 x86_64 igla Using Fedora 4 7th December 2010 02:29 PM
Fedora8-x86_64 installation problem voycieck Using Fedora 0 22nd January 2008 10:55 PM
Recent x86_64 Nvidia driver installation problem lordamus Installation, Upgrades and Live Media 1 9th June 2007 09:13 PM
Fedora Core 4 x86_64 installation problem swarupnag Installation, Upgrades and Live Media 0 4th March 2006 08:51 AM


Current GMT-time: 04:51 (Wednesday, 20-08-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat